function onBegin()
    disableMovement()
    disablePause()
    makeUnskippable()
    player.DummyAutoAnimate = false
    player.Sprite:Play("wakeUp")
    wait(2.5)
end

function onEnd()
    enablePause()
    enableMovement()
end